CertPath
Date: 2016-06-24

java.security.cert

## Class CertPath

- java.lang.Object
- - java.security.cert.CertPath

- All Implemented Interfaces:
    Serializable

      public abstract class CertPath
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `CertPath.CertPathRep`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CertPath(String var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract List` | `getCertificates()`
    `abstract byte[]` | `getEncoded()`
    `abstract byte[]` | `getEncoded(String var0)`
    `abstract Iterator` | `getEncodings()`
    `String` | `getType()`
    `protected Object` | `writeReplace()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertPath

          protected CertPath(String var0)

  - ### Method Detail

    - #### getCertificates

          public abstract List getCertificates()

    - #### getEncoded

          public abstract byte[] getEncoded()
                                     throws CertificateEncodingException

      Throws:
        `CertificateEncodingException`

    - #### getEncoded

          public abstract byte[] getEncoded(String var0)
                                     throws CertificateEncodingException

      Throws:
        `CertificateEncodingException`

    - #### getEncodings

          public abstract Iterator getEncodings()

    - #### getType

          public String getType()

    - #### writeReplace

          protected Object writeReplace()
                                 throws ObjectStreamException

      Throws:
        `ObjectStreamException`